> For the complete documentation index, see [llms.txt](https://document.vidau.ai/vidauai-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://document.vidau.ai/vidauai-api/api-documentation.md).

# API Documentation

- [AI Avatar API](https://document.vidau.ai/vidauai-api/api-documentation/openapi.md): API that converts text or audio files to vivid videos of people speaking.
- [Get a list of avatar](https://document.vidau.ai/vidauai-api/api-documentation/openapi/get-a-list-of-avatar.md): Get avatar information for video generation
- [Get a list of voice](https://document.vidau.ai/vidauai-api/api-documentation/openapi/get-a-list-of-voice.md): Get voice information for video generation
- [Generate avatar video task](https://document.vidau.ai/vidauai-api/api-documentation/openapi/generate-avatar-video-task.md): Create a avatar  video with parameters
- [Face Swap API](https://document.vidau.ai/vidauai-api/api-documentation/face-swap-api.md): API that replace the face in the video with the uploaded picture avatar
- [Video face detect](https://document.vidau.ai/vidauai-api/api-documentation/face-swap-api/video-face-detect.md): For face analysis, analyzing faces in videos
- [Image face detect](https://document.vidau.ai/vidauai-api/api-documentation/face-swap-api/image-face-detect.md): For face analysis, analyzing faces in images
- [Generate face swap video task](https://document.vidau.ai/vidauai-api/api-documentation/face-swap-api/generate-face-swap-video-task.md): Create a face swap video with parameters
- [Get task info](https://document.vidau.ai/vidauai-api/api-documentation/get-task-info.md): Query task information


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://document.vidau.ai/vidauai-api/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
